import { defineComponent, onMounted } from 'vue';
export default defineComponent({
  name: 'App',
  setup() {
    onMounted(() => {
      // 禁用右键菜单
      document.addEventListener('contextmenu', function (event) {
        event.preventDefault();
      });
      // 禁用浏览器快捷键
      document.addEventListener('keydown', function (event) {
        // 屏蔽 F12 和 Ctrl+Shift+I
        if (
          event.key === 'F12' ||
          (event.ctrlKey && event.shiftKey && event.key === 'I') ||
          (event.metaKey && event.altKey && event.key === 'I')
        ) {
          event.preventDefault();
        }
      });
    });
    return () => (
      <>
        <router-view></router-view>
      </>
    );
  }
});
